TRYTOND-WORKER(1)

NAME
trytond-cron - Tryton Application Platform (Worker)

SYNOPSIS
trytond-worker [-h] [--version] [-c FILE [FILE ...]] [-v] [--dev] [-d DATABASE [DATABASE ...]]

DESCRIPTION
Tryton is a high-level general purpose application platform written in Python and using PostgreSQL as database engine. It is the core base of an ERP.

This script runs the dedicated worker part of the server.

OPTIONS

--version
    show program's version number and exit
-h, --help
    show this help message and exit
-c FILE [FILE ...], --config FILE [FILE ...]
    specify configuration files
--dev
    enable development mode (caching disabled)
-v, --verbose
    enable verbose mode
-d DATABASE [DATABASE ...], --database DATABASE [DATABASE ...]
    specify the database name
--pidfile FILE
    file where the server pid will be stored
--logconf FILE
    logging configuration file (ConfigParser format)
--name NAME
    work only on the named queue
--max MAXTASKSPERCHILD
    number of tasks a worker process before being replaced
-n PROCESSES
    number of processes to use
-t TIMEOUT, --timeout TIMEOUT
    maximum timeout when waiting notification

FILES
/etc/tryton/trytond.conf, /etc/tryton/trytond_log.conf

SEE ALSO
trytond(1), trytond-admin(1), trytond-console(1), trytond-cron(1), trytond-worker(1), tryton(1)

HOMEPAGE
More information the Tryton project can be found at <http://www.tryton.org/>.

AUTHOR
Tryton server was written by the Tryton project <http://www.tryton.org/>.
This manual page was written by Mathias Behrle <mbehrle@debian.org>.